using System;
using System.Collections.Generic;
using System.Linq;
using SqlSugar;
namespace HTCoreServiceApp.Models
{
    /// <summary>
    /// 服务日志表
    ///</summary>
    [SugarTable("HT_Log_SetDriver")]
    public class HTLogSetDriver
	{
        /// <summary>
        /// 编号 
        ///</summary>
         [SugarColumn(ColumnName="Id" ,IsPrimaryKey = true ,IsIdentity = true  )]
         public int Id { get; set; }
        /// <summary>
        ///  
        ///</summary>
         [SugarColumn(ColumnName="EventTime"    )]
         public DateTime EventTime { get; set; }
        /// <summary>
        ///  
        ///</summary>
         [SugarColumn(ColumnName= "RequestIp")]
         public string RequestIp { get; set; }
		/// <summary>
		///  
		///</summary>
		[SugarColumn(ColumnName = "WriteDriverName")]
		public string WriteDriverName { get; set; }
		/// <summary>
		///  
		///</summary>
		[SugarColumn(ColumnName = "WriteTagName")]
		public string WriteTagName { get; set; }
		/// <summary>
		///  
		///</summary>
		[SugarColumn(ColumnName = "WriteAddress")]
		public string WriteAddress { get; set; }
		/// <summary>
		///  
		///</summary>
		[SugarColumn(ColumnName = "WriteValue")]
		public string WriteValue { get; set; }
		/// <summary>
		///  
		///</summary>
		[SugarColumn(ColumnName = "WriteResult")]
		public string WriteResult { get; set; }
		/// <summary>
		///  
		///</summary>
		[SugarColumn(ColumnName = "WriteErrInformation")]
		public string WriteErrInformation { get; set; }
	}
}
